Generate image
curl --request POST \
--url https://api.upmore.net/v1/images/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "doubao-seedream-5-0",
"prompt": "A serene mountain landscape at sunrise with misty valleys",
"image": [
"<string>"
],
"sequential_image_generation_options": {
"max_images": 123
},
"size": "1024x1024",
"watermark": false,
"seed": 123,
"logo_info": {
"add_logo": true,
"position": 123,
"language": 123,
"opacity": 123
}
}
'import requests
url = "https://api.upmore.net/v1/images/generations"
payload = {
"model": "doubao-seedream-5-0",
"prompt": "A serene mountain landscape at sunrise with misty valleys",
"image": ["<string>"],
"sequential_image_generation_options": { "max_images": 123 },
"size": "1024x1024",
"watermark": False,
"seed": 123,
"logo_info": {
"add_logo": True,
"position": 123,
"language": 123,
"opacity": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
model: 'doubao-seedream-5-0',
prompt: 'A serene mountain landscape at sunrise with misty valleys',
image: ['<string>'],
sequential_image_generation_options: {max_images: 123},
size: '1024x1024',
watermark: false,
seed: 123,
logo_info: {add_logo: true, position: 123, language: 123, opacity: 123}
})
};
fetch('https://api.upmore.net/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": 123,
"data": [
{
"url": "<string>",
"b64_json": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}ByteDance
Seedream 5.0
Generates images from a text prompt, optionally guided by reference images (image-to-image).
POST
/
v1
/
images
/
generations
Generate image
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The image generation model to use.
Available options:
doubao-seedream-5-0, doubao-seedream-5-0-pro Example:
"doubao-seedream-5-0"
Text prompt for image generation.
Example:
"A serene mountain landscape at sunrise with misty valleys"
Reference image URLs for image-to-image generation.
Set to auto to enable batch generation.
Available options:
auto, disabled Batch generation options.
Show child attributes
Show child attributes
Output image size, e.g. 1024x1024 or 2K.
Example:
"1024x1024"
Add a watermark to the output image.
Random seed for reproducibility.
Logo overlay configuration.
Show child attributes
Show child attributes
⌘I